{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "XOX",
    "XXX",
    "SXS"
  ],
  "key": {
    "X": {
      "item": "minecraft:iron_ingot"
    },
    "O": {
      "item": "minecraft:leather_chestplate"
    },
    "S": {
      "tag": "minecraft:bindings"
    }
  },
  "result": {
    "item": "minecraft:chainmail_chestplate"
  }
}